Voicelink
Voicelink
DashboardQuickstartAuthenticationCallsInvitationsErrors and limits
Cancel scheduled call DELETECreate invitation POSTDelete invitation DELETEEdit invitation PATCHExtend invitation POSTGet call GETGet completed call recording GETGet invitation GETList calls GETList invitations GETReschedule call PATCHRevoke invitation POSTStart outbound call POSTTerminate call POST
Reference

Start outbound call

POST
/calls/outbound

Authorization

headerapikey<token>

Request Body

application/json
  1. body
  1. body
  2. …
scheduledAt?string

Optional future ISO 8601 timestamp with timezone offset. Omit to call immediately.

fromNumber*string

Active phone number in your workspace, including the country code.

toNumber*string

Destination phone number, including the country code.

agentId*string
context?string

Response Body

application/json
  1. response
  1. response
  2. …
status*string
Value in"error""ok"
message*string
data*
Example Request
curl -X POST 'https://api.usevoicelink.co/v0/calls/outbound' \  -H 'Content-Type: application/json' \  -d '{  "fromNumber": "+14165550100",  "toNumber": "+14165550101",  "agentId": "string"}'
Example Response
{  "status": "error",  "message": "string",  "data": {    "call": {      "id": "string",      "agentId": "string",      "callType": "string",      "channel": "chat",      "direction": "inbound",      "status": "string",      "endReason": "agent_ended",      "callerName": "string",      "callerEmail": "string",      "callerPhone": "string",      "durationInSeconds": 0,      "scheduledAt": "string",      "startedAt": "string",      "endedAt": "string",      "createdAt": "string",      "updatedAt": "string",      "summary": "string",      "nextSteps": "string",      "transcript": [        {          "role": "agent",          "text": "string",          "timestamp": 0        }      ]    }  }}

Revoke invitation POST

Previous Page

Terminate call POST

Stop a pending or active call. Returns the updated call. A call that has already ended returns 409.